spring:
  datasource:
    druid:
      url: jdbc:mysql://localhost/jlife_nurse?useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC&allowPublicKeyRetrieval=true&verifyServerCertificate=false&useSSL=false&allowMultiQueries=true
      driver-class-name:  com.mysql.jdbc.Driver
      username:  root
      password:  JINGZHI20190923=it
      initial-size:  10
      max-active:  50
      min-idle:  10
      max-wait:  60000
      pool-prepared-statements:  true
      max-pool-prepared-statement-per-connection-size:  20
      validation-query:  SELECT 1 FROM DUAL
      test-on-borrow:  false
      test-on-return:  false
      test-while-idle:  true
      time-between-eviction-runs-millis:  60000
      filters:  stat,wall


#############core包下的配置
jz:
  wx:
    app-id: wx3b55fc3ee205d304
    app-secret: 7cc60632eaabcb543088578b4c5bfc79
    mch-id: 1524090811
    mch-key: jingzhishenghuo20190926201100151
    notify-url: https://jzmall.lifejingzhi.com/wx/order/pay-notify
    # 商户证书文件路径
    # 请参考“商户证书”一节 https://pay.weixin.qq.com/wiki/doc/api/wxa/wxa_api.php?chapter=4_3
    key-path: /data0/weixin_pay_cert/apiclient_cert.p12

  #保姆安心包投保url
  insurance:
    url: https://servant.lifejingzhi.com/servantequityservice/platformInsurance/apply
  #通知相关配置
  notify:
    mail:
      # 邮件通知配置,邮箱一般用于接收业务通知例如收到新的订单，sendto 定义邮件接收者，通常为商城运营人员
      enable: false
      host: smtp.exmail.qq.com
      username: ex@ex.com.cn
      password: XXXXXXXXXXXXX
      sendfrom: ex@ex.com.cn
      sendto: ex@qq.com
      port: 465
    # 短消息模版通知配置
    # 短信息用于通知客户，例如发货短信通知，注意配置格式；template-name，template-templateId 请参考 NotifyType 枚举值
    sms:
      enable: false
      # 如果是腾讯云短信，则设置active的值tencent
      # 如果是阿里云短信，则设置active的值aliyun
      active: tencent
      sign: jz
      template:
      - name: paySucceed
        templateId: 156349
      - name: captcha
        templateId: 156433
      - name: ship
        templateId: 158002
      - name: refund
        templateId: 159447
      tencent:
        appid: 111111111
        appkey: xxxxxxxxxxxxxx
      aliyun:
        regionId: xxx
        accessKeyId: xxx
        accessKeySecret: xxx

  # 快鸟物流查询配置
  express:
    enable: false
    appId: "XXXXXXXXX"
    appKey: "XXXXXXXXXXXXXXXXXXXXXXXXX"
    vendors:
    - code: "ZTO"
      name: "中通快递"
    - code: "YTO"
      name: "圆通速递"
    - code: "YD"
      name: "韵达速递"
    - code: "YZPY"
      name: "邮政快递包裹"
    - code: "EMS"
      name: "EMS"
    - code: "DBL"
      name: "德邦快递"
    - code: "FAST"
      name: "快捷快递"
    - code: "ZJS"
      name: "宅急送"
    - code: "TNT"
      name: "TNT快递"
    - code: "UPS"
      name: "UPS"
    - code: "DHL"
      name: "DHL"
    - code: "FEDEX"
      name: "FEDEX联邦(国内件)"
    - code: "FEDEX_GJ"
      name: "FEDEX联邦(国际件)"

  # 对象存储配置
  storage:
    # 当前工作的对象存储模式，分别是local、aliyun、tencent、qiniu
    active: local
    # 本地对象存储配置信息
    local:
      storagePath: /data0/file/jzcrm/storage
      # 这个地方应该是wx模块的WxStorageController的fetch方法对应的地址
      address: https://jzcrm.lifejingzhi.com/file/jzcrm/storage/
     # address: http://localhost:8081/wx/storage/fetch/
    # 阿里云对象存储配置信息
    aliyun:
      endpoint: oss-cn-zhangjiakou.aliyuncs.com
      accessKeyId: LTAI4GFQnvy8iTRSTXq5jMeK
      accessKeySecret: FyG5sanj2ig3mEvaoV9CPU07zyWeU8
      bucketName: zc-oss-wechat
    # 腾讯对象存储配置信息
    # 请参考 https://cloud.tencent.com/document/product/436/6249
    tencent:
      secretId: AKIDOccMr856uoU1Tsa2MQL5aqseBUWRrb5i
      secretKey: XqtgEhIdrupTs4ygaWlkUUXv3w3FiwuD
      region: ap-shanghai
      bucketName: vytech-1300096589
    # 七牛云对象存储配置信息
    qiniu:
      endpoint: http://pd5cb6ulu.bkt.clouddn.com
      accessKey: 111111
      secretKey: xxxxxx
      bucketName: jz

